
CC = cc

CFLAGS =

# The extension for executable programs (.exe for Windows, blank for Unix)
EXE = .exe

# .SUFFIXES: .c .exe
#
# .c.exe:
#	$(CC) $(CFLAGS) $<

all: unihex2bmp unibmp2hex unipagecount unidup uniunmask unihex2bdf

unihex2bmp: unihex2bmp.c
	$(CC) $(CFLAGS) unihex2bmp.c -o unihex2bmp$(EXE)

unibmp2hex: unibmp2hex.c
	$(CC) $(CFLAGS) unibmp2hex.c -o unibmp2hex$(EXE)

unipagecount: unipagecount.c
	$(CC) $(CFLAGS) unipagecount.c -o unipagecount$(EXE)

unidup: unidup.c
	$(CC) $(CFLAGS) unidup.c -o unidup$(EXE)

uniunmask: uniunmask.c
	$(CC) $(CFLAGS) uniunmask.c -o uniunmask$(EXE)

unihex2bdf: unihex2bdf.c
	$(CC) $(CFLAGS) unihex2bdf.c -o unihex2bdf$(EXE)

clean:
	-rm -f unihex2bmp.exe unibmp2hex.exe unipagecount.exe unidup.exe \
	uniunmask.exe unihex2bdf
